.\" $NetBSD: cas.4,v 1.1 2010/01/07 09:20:45 jdc Exp $
.\"
.\" Copyright (c) 2010 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 7, 2010
.Dt CAS 4
.Os
.Sh NAME
.Nm cas
.Nd Cassini/Cassini+ (GigaSwift) Ethernet device driver
.Sh SYNOPSIS
.Cd "cas* at pci? dev ? function ?"
.Pp
Configuration of PHYs may also be necessary.
See
.Xr mii 4 .
.Sh DESCRIPTION
The
.Nm
driver provides support for the Sun Cassini and Cassini+ (GigaSwift) and the
National Semiconductor Saturn Ethernet hardware found in Sun UltraSPARC machines
and Sun GigaSwift PCI cards.
.Pp
Cards supported by this driver include:
.Bl -bullet -compact -offset indent
.It
Sun Gigaswift Ethernet (SX fibre variants)
.It
Sun Gigaswift Ethernet (UTP variants)
.It
Sun quad Gigaswift Ethernet
.El
.Sh SEE ALSO
.Xr brgphy 4 ,
.Xr gentbi 4 ,
.Xr gphyter 4 ,
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr mii 4 ,
.Xr ifconfig 8
.Rs
.%T "Cassini+ ASIC Specification"
.%A Sun Microsystems
.%O http://www.sun.com/processors/manuals/cs_plus.pdf
.Re
.Sh HISTORY
The
.Nm
driver first appeared in
.Ox 4.1 .
.Nx
support was added in
.Nx 6.0 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written for
.Ox
by
.An Mark Kettenis
.Aq kettenis@openbsd.org ,
based on the
.Xr gem 4
driver, and ported to
.Nx
by
.An Julian Coleman
.Aq jdc@NetBSD.org .
.Sh BUGS
The
.Nm
driver does not support any of the advanced features of the Cassini chip.
.Pp
On the SX fibre variants of the hardware, the link may stay down if media
options apart from
.Dv autoselect
are chosen.
